注册 登录
查看: 776|回复: 4

请教在更新CMSIS库之后的问题

[复制链接]
发表于 2013-5-10 13:06:49 | 显示全部楼层 |阅读模式
CMSIS库已经更新很多次了。我从官方网站上下载 新版的 CMSIS库,版本为1.4.1

将 对应的 src\LIB\CMSIS下的内容替换后。编译一下会有很多冲突报错。

冲突内容如下:

Error[Pe147]: declaration is incompatible with "__nounwind __interwork __softfp int strncmp(char const *, char const *, size_t)" (declared at line 43 of "C:\Program Files (x86)\IAR  C:\Users\Public\Documents\IAR WORKSPACE\DSP\src\common\stdlib.h 55

看来是与stdlib.h中的描述冲突。这种问题如何解决??
回复

使用道具 举报

发表于 2013-5-10 13:46:29 | 显示全部楼层
1.4.1,应该是 很旧的版本
我们用的是 2.10 版本
没遇到过你那问题,不清楚。
回复 支持 反对

使用道具 举报

发表于 2013-5-10 17:20:03 | 显示全部楼层
Daniel_Lau 发表于 2013-5-10 17:19
CMSIS的版本标号已经重新更改了,你们的版本是1.0.0. 现在arm网站最高就是1.4.1 。  17. January 2013  更 ...

太久没去官网看看,都不知道又重新修改版本号
回复 支持 反对

使用道具 举报

 楼主| 发表于 2013-5-10 17:24:20 | 显示全部楼层
山外メ雲ジ 发表于 2013-5-10 17:20
太久没去官网看看,都不知道又重新修改版本号

可能说错了。1.4.1是arm_math.h的版本。现在CMSIS的版本是3.2.0
回复 支持 反对

使用道具 举报

 楼主| 发表于 2013-5-10 17:28:07 | 显示全部楼层
山外メ雲ジ 发表于 2013-5-10 17:20
太久没去官网看看,都不知道又重新修改版本号




上个图。希望你们能更新一下~ 新版本的DSP做了一些修改。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

快速回复 返回列表 返回顶部